#!/sbin/sh
#
# NativeSD SD-EXT Scanner v1.0
# Author: tytung - xda-developers

TEMP="/tmp/NativeSD"
if [ ! -d "$TEMP" ]; then
	mkdir -p "$TEMP"
fi

# Get $PROP_NAME=ROMsEXT.prop
PROP_NAME=$1
if [ "$PROP_NAME" = "" ]; then
	echo PROP_NAME: not found.
	exit 0
fi

ROM_PROP_FILE="$TEMP/$PROP_NAME"
if [ -f "$ROM_PROP_FILE" ]; then
	rm "$ROM_PROP_FILE"
fi

# SD-EXT Dirs
EXT_DIRS=`ls -l /NativeSD | egrep '^d' | awk '{print $9}' | sed 's/lost+found//g'`
NUM=1

for ROM_NAME in $EXT_DIRS
do
	NativeSD_DATA=`ls -l /NativeSD/$ROM_NAME | egrep '^d' | awk '{print $9}' | grep 'data'`
	if [ $NativeSD_DATA != "" ]; then
		echo ROM_$NUM=$ROM_NAME >> "$ROM_PROP_FILE"
		NUM=$(( $NUM + 1 ))
	fi
done

# An example of ROMsEXT.prop:
# 
# ROM_1=NexusHD2-ICS
# ROM_2=NexusHD2-JellyBean

exit 0
